These docs are for v1.0. Click to read the latest docs for v2.0.

ETH Rewards (for org, per validator)

The ETH Rewards endpoint returns rewards & balances for Figment validators, up to 7 days (for epoch) and 30 days (for daily rollup). This endpoint completes it by offering rewards & balances for any validator on the ETH network, with no historical limit.

To use it we’ll need to whitelist the validator public keys you want to retrieve, agnostic of any staking provider. Get in touch with us!

Body Params
string | null
enum

Id of the chain that rewards belong to

Allowed:
string of strings
enum
required

Rollup to use when reporting the data. Allowed values are 'epoch', 'daily', and 'all_time'.

Allowed:
string
required

Lower bound of rewards data expressed as epoch number (for epoch rollup only) or timestamps (as strings "YYYY-MM-DD"). This parameter is ignored when all_time rollup is requested.

string
required

Upper bound of rewards data expressed as epoch number (for epoch rollup only) or timestamps (as strings "YYYY-MM-DD"). This parameter is ignored when all_time rollup is requested.

withdrawal_addresses
array of strings

A set of withdrawal addresses (or withdrawal credentials) to filter the results with.

withdrawal_addresses
validator_addresses
array of strings

A set of validator public keys to filter the results with.

validator_addresses
integer

A number to limit the total number of records in the response. Only available to all_time time_rollup requests.

integer

Pagination offset to start the results with. Only available to all_time time_rollup requests.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json